Subject: Re: bug#34771: 27.0.50; object is a window sometimes although it should be a buffer in conditional display spec

From: Tassilo Horn <[email-masked]>
Date: Thu, 07 Mar 2019 11:27:56 +0100

Eli Zaretskii <[email-masked]> writes:

>> So in a conditional display spec, object should always be a buffer.
>
> (It could also be a string, although not in your case.)

Right.

>> Now I have this in *Messages*:
>> 
>> Error during redisplay: (eval (get-buffer-window object)) signaled
>> (wrong-type-argument stringp #<window 3 on *scratch*>) [33 times]
>
> The documentation is correct, but the code had a bug.  I hope I fixed
> it now.

I can't tell.  It seems you haven't pushed that change yet.

        Tassilo